# List harness infras

List harness infras

Endpoint: GET /gateway/chaos/manager/api/rest/v2/harness-infrastructures
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `environmentIdentifier` (string, required)
    environment id that want to access the resource

  - `page` (integer, required)
    page number

  - `limit` (integer, required)
    limit per page

  - `search` (string)
    search based on name

## Response 200 fields (application/json):

  - `items` (array)

  - `items.connectorRef` (string)

  - `items.environmentRef` (string)

  - `items.identifier` (string)

  - `items.isCompatible` (boolean)

  - `items.isUsed` (boolean)

  - `items.name` (string)

  - `items.namespace` (string)

  - `items.orgIdentifier` (string)

  - `items.projectIdentifier` (string)

  - `items.serviceAccount` (string)

  - `items.type` (string)

  - `page` (object)

  - `page.index` (integer)

  - `page.limit` (integer)

  - `page.totalItems` (integer)

  - `page.totalPages` (integer)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


